import { ClientCache } from "../client/clientCache";
import type { ClientCookieManager } from "../client/clientCookieManager";
import type { Language } from "../constants/lang";
export interface FetchOptions {
    cookie?: string;
    language?: Language;
}
export interface Options<T = unknown> {
    defaultOptions?: FetchOptions & T;
    cacheOptions?: {
        maxSize?: number;
    };
    cookieManager?: ClientCookieManager;
}
export declare class BaseRoute<CacheType> {
    readonly cache: ClientCache<CacheType>;
    readonly cookieManager?: ClientCookieManager;
    constructor(options?: Options);
}
